# Upgrade from 4.x to 5.0.0

Previously, the `promiseTypeSeparator` config property was used to change the character used to join type strings.

Now, the `promiseTypeDelimiter` config property is used. Why? Because [delimiters](https://en.wikipedia.org/wiki/Delimiter) are one or more characters used to specify the boundaries in strings. It’s s delimiter, not a separator!

```js
applyMiddleware(
  promiseMiddleware({
    promiseTypeDelimiter: '/'
  })
)
```

With this configuration, given `FOO` async action, the type will be appended with a forward slash `/` delimiter.

```js
{
  type: 'FOO/PENDING'
}
```